#
# Conditional build:
%bcond_without	tests	# test target
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	pyflakes
Summary:	Passive checker of Python programs
Summary(pl.UTF-8):	Pasywny program do sprawdzania programów w Pythonie
Name:		python-%{module}
Version:	1.5.0
Release:	1
License:	MIT
Group:		Development/Tools
#Source0Download: https://pypi.python.org/simple/pyflakes/
Source0:	https://files.pythonhosted.org/packages/source/p/pyflakes/%{module}-%{version}.tar.gz
# Source0-md5:	84a99f05e5409f8196325dda3f5a1b9a
URL:		https://github.com/PyCQA/pyflakes
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
Provides:	pyflakes = %{version}-%{release}
Obsoletes:	pyflakes < 0.4.0-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyflakes is a simple program which checks Python source files for
errors. It is similar to PyChecker in scope, but differs in that it
does not execute the modules to check them. This is both safer and
faster, although it does not perform as many checks. Unlike PyLint,
Pyflakes checks only for logical errors in programs; it does not
perform any checks on style.

%description -l pl.UTF-8
Pyflakes to prosty program sprawdzający pliki źródłowe Pythona pod
kątem błędów. Jest podobny do PyCheckera jeśli chodzi o zakres
działania, ale różni się tym, że nie wykonuje modułów przy sprawdzaniu
ich. Jest to zarówno bardziej bezpieczne, jak i szybze, choć nie
sprawdza tak wielu rzeczy. W przeciwieństwie do PyLinta Pyflakes szuka
tylko błędów logicznych w programach; nie sprawdza stylu.

%package -n python3-%{module}
Summary:	Passive checker of Python programs
Summary(pl.UTF-8):	Pasywny program do sprawdzania programów w Pythonie
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
Pyflakes is a simple program which checks Python source files for
errors. It is similar to PyChecker in scope, but differs in that it
does not execute the modules to check them. This is both safer and
faster, although it does not perform as many checks. Unlike PyLint,
Pyflakes checks only for logical errors in programs; it does not
perform any checks on style.

%description -n python3-%{module} -l pl.UTF-8
Pyflakes to prosty program sprawdzający pliki źródłowe Pythona pod
kątem błędów. Jest podobny do PyCheckera jeśli chodzi o zakres
działania, ale różni się tym, że nie wykonuje modułów przy sprawdzaniu
ich. Jest to zarówno bardziej bezpieczne, jak i szybze, choć nie
sprawdza tak wielu rzeczy. W przeciwieństwie do PyLinta Pyflakes szuka
tylko błędów logicznych w programach; nie sprawdza stylu.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pyflakes{,-2}
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/pyflakes/test
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pyflakes{,-3}
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/pyflakes/test
%endif

%if %{with python2}
ln -sf pyflakes-2 $RPM_BUILD_ROOT%{_bindir}/pyflakes
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS.txt README.rst
%attr(755,root,root) %{_bindir}/pyflakes
%attr(755,root,root) %{_bindir}/pyflakes-2
%{py_sitescriptdir}/pyflakes
%{py_sitescriptdir}/pyflakes-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS.txt README.rst
%attr(755,root,root) %{_bindir}/pyflakes-3
%{py3_sitescriptdir}/pyflakes
%{py3_sitescriptdir}/pyflakes-%{version}-py*.egg-info
%endif
%changelog
* Sat Apr 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyflakes.git;a=log;h=master

* Sat Apr 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 7f9fdb9
- updated to 1.5.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> af46fa0
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> a329ee8
- updated to 1.1.0
- fix python3 dependency in python2 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 4846499
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> aa9ec17
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6cfbf5c
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f27ee4
- up to 0.9.2

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 9912bc8
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 747d0c0
- python 3.5 rebuild
- release 3 (by relup.sh)

* Thu Nov 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fd6c09
- rel 2; add python3 subpackage

* Thu Nov 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 84f8058
- up to 0.8.1

* Thu Sep 08 2011 Patryk Zawadzki <patrys@room-303.com> e2c1b84
- 0.5.0

* Thu Feb 17 2011 Elan Ruusamäe <glen@pld-linux.org> a4ae411
- add missing build section, run tests

* Thu Feb 17 2011 Elan Ruusamäe <glen@pld-linux.org> 20c0205
- rename to python-pyflakes
- verbose files, remove tests packaging

* Mon Dec 27 2010 Patryk Zawadzki <patrys@room-303.com> 244b256
- 0.4.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dddde51
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d3ebe99
- converted to UTF-8

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 01fa6f5
- pl

* Fri Nov 18 2005 Karol Krenski <charles@pld-linux.org> 121f896
- IMO bugfixes

* Fri Nov 18 2005 Karol Krenski <charles@pld-linux.org> 6242060
- initial

